#!/usr/bin/env python 
# -*- coding: utf-8 -*-

# Voronoi: http://www.saliences.com/projects/npr/stippling/index.html
# Only for convenience - launches Voronoi with GIMP menu: http://gimpchat.com/viewtopic.php?f=10&t=11690
# Example code by Lylejk: voronoi.exe -s 8000 -t .2 -n wilber.png wilber.svg 
# The idea taken from Rob Antonishen - Shellout: http://registry.gimp.org/node/24977

'''
License:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 3 of the License.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
The GNU Public License is available at
http://www.gnu.org/copyleft/gpl.html
'''
from gimpfu import *
import shlex
import subprocess
import os, sys
import tempfile

def plugin_main(img, drawable):
  command = "\"C:\\voronoi\\vor.bat\""   # << - EDIT path to the directory of the program: voronoi.exe, vor.bat, stippler.dll
  args = shlex.split(command)
  child = subprocess.Popen(args, shell=False)

register(
        "python_fu_voronoi",
	    "Only for convenience - launches Voronoi with GIMP menu",	
        "Call voronoi",
        "RobA/Lylejk/MrQ",
        "GPL",
        "2014",
        "<Image>/Tools/Call Voronoi...",
        "*", 
        [],
        [],
        plugin_main,
        )

main()